/**
 * StreitgenossenAssistentAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.baumbach;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.Action;

import eu.gronos.kostenrechner.Kostenrechner;
import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.interfaces.StreitgenossenTabellenBehandelnd;
import eu.gronos.kostenrechner.model.LangBeschriftung;
import eu.gronos.kostenrechner.model.tenordaten.VerfahrensDatenContainer;
import eu.gronos.kostenrechner.view.baumbach.BaumbachAssistentDialog;
import eu.gronos.kostenrechner.view.baumbach.StreitgenossenPanel;

/**
 * {@link BeschriebeneAktion}, die den {@link BaumbachAssistentDialog} aufruft!
 * {@link KeyEvent#VK_A}
 * 
 * @author Peter Schuster (setrok)
 * @date 10.11.2018
 *
 */
public class StreitgenossenAssistentAction extends BeschriebeneAktion {
	private final StreitgenossenTabellenBehandelnd panel;
	private static final long serialVersionUID = 3372100502718641247L;

	/**
	 * Konstruktor:
	 * 
	 * @param panel        {@link StreitgenossenPanel}
	 * @param beschriftung eine {@link LangBeschriftung} mit
	 *                     {@link Action#MNEMONIC_KEY}
	 */
	public StreitgenossenAssistentAction(StreitgenossenTabellenBehandelnd panel, LangBeschriftung beschriftung) {
		super(beschriftung);
		this.panel = panel;
	}
	// String name, String shortDescription,, String actionCommandKey
	// name, shortDescription, mnemonic, actionCommandKey);, int mnemonic, mnemonic, KeyEvent.VK_A

	@Override
	public void actionPerformed(ActionEvent ae) {
		// this.panel.getKostenrechner(),
		BaumbachAssistentDialog bad = new BaumbachAssistentDialog(Kostenrechner.getInstance(),
				panel.isWiderKlageAnzeigen());
		VerfahrensDatenContainer container = bad.showDialog();
		if (container != null) {
			panel.setzeWerte(container.streitgenossen);
			panel.requestFocusInWindow();
		}
	}
}