/**
 * StreitgenossenGesamtschuldnerBkAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.baumbach;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.interfaces.StreitgenossenTabellenBehandelnd;
import eu.gronos.kostenrechner.model.LangBeschriftung;
import eu.gronos.kostenrechner.model.baumbach.BaumbachGesamtschuldnerschaft;
import eu.gronos.kostenrechner.model.tenordaten.Beteiligter;
import eu.gronos.kostenrechner.view.baumbach.GesamtschuldnerDialog;
import eu.gronos.kostenrechner.view.baumbach.StreitgenossenPanel;
import eu.gronos.kostenrechner.view.helpanderror.FehlerDialog;

/**
 * Die Action fügt eine gesamtschuldnerische Verurteilung zur Tabelle der
 * Beklagten hinzu.
 *
 * @author Peter Schuster (setrok)
 * @date 10.11.2018
 *
 */
public class StreitgenossenGesamtschuldnerBkAction extends BeschriebeneAktion {
	private final StreitgenossenTabellenBehandelnd panel;
	private static final long serialVersionUID = 3348162188610732190L;

	/**
	 * Konstruktor.
	 * 
	 * @param panel    {@link StreitgenossenPanel}
	 * @param mnemonic {@link Action#MNEMONIC_KEY}
	 */
	public StreitgenossenGesamtschuldnerBkAction(StreitgenossenTabellenBehandelnd panel,
			LangBeschriftung beschriftung) {
		super(beschriftung);
		this.panel = panel;
	}
	// String name,String shortDescription, , String actionCommandKey, int mnemonic
	// super(name, shortDescription, mnemonic, actionCommandKey, mnemonic);,
	// KeyEvent.VK_G

	@Override
	public void actionPerformed(ActionEvent ae) {
		try {
			GesamtschuldnerDialog gesamtschuldnerDialog = new GesamtschuldnerDialog(panel.getKostenrechner(),
					panel.getTableModel(Beteiligter.BEKLAGTE).getAllValues(),
					panel.getExtrahierenAktion(Beteiligter.BEKLAGTE));// panel.btmBeklagte.
			BaumbachGesamtschuldnerschaft bt = gesamtschuldnerDialog.showDialog();
			if (bt != null)
				panel.getTableModel(Beteiligter.BEKLAGTE).addRow(bt);// panel.btmBeklagte
		} catch (IllegalArgumentException iae) {
			// Meldung, wenn noch keine Beteiligten in Tabelle
			FehlerDialog.zeigeFehler(iae.getLocalizedMessage(), iae);
			// StreitgenossenPanel.FEHLER_GESAMTSCHULDNERSCHAFT,
		}
	}
}