package eu.gronos.kostenrechner.controller.baumbach;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.model.LangBeschriftung;
import eu.gronos.kostenrechner.model.baumbach.BaumbachGesamtschuldnerschaft;
import eu.gronos.kostenrechner.model.tenordaten.Beteiligter;
import eu.gronos.kostenrechner.view.baumbach.GesamtschuldnerDialog;
import eu.gronos.kostenrechner.view.baumbach.StreitgenossenPanel;
import eu.gronos.kostenrechner.view.helpanderror.FehlerDialog;

/**
 * Die {@link Action} fügt eine gesamtschuldnerische Verurteilung auf
 * Kläger-/Drittwiderbeklagtenseite hinzu.
 *
 * @author Peter Schuster (setrok)
 * @date 10.11.2018
 *
 */
public class StreitgenossenGesamtschuldnerDwbkAction extends BeschriebeneAktion {
	private final StreitgenossenPanel panel;
	private static final long serialVersionUID = -6637467913455344657L;

	/**
	 * Konstruktor.
	 * 
	 * @param panel    {@link StreitgenossenPanel}
	 * @param mnemonic {@link Action#MNEMONIC_KEY}
	 */
	public StreitgenossenGesamtschuldnerDwbkAction(StreitgenossenPanel panel, LangBeschriftung beschriftung) {
		super(beschriftung);
		this.panel = panel;
	}
	// String name, String shortDescription,, String actionCommandKey
	// super(name,,int mnemonic
	// shortDescription, mnemonic, actionCommandKey);, mnemonic, KeyEvent.VK_L

	@Override
	public void actionPerformed(ActionEvent ae) {
		try {
			GesamtschuldnerDialog gesamtschuldnerDialog = new GesamtschuldnerDialog(panel.getKostenrechner(),
					panel.btmKlaeger.getAllValues(), panel.btmDrittwiderbeklagte.getAllValues(),
					panel.getExtrahierenAktion(Beteiligter.DRITTWIDERBEKLAGTE));
			BaumbachGesamtschuldnerschaft bt = gesamtschuldnerDialog.showDialog();
			if (bt != null)
				panel.btmDrittwiderbeklagte.addRow(bt);
		} catch (IllegalArgumentException iae) {
			// Meldung, wenn noch keine Beteiligten in Tabelle
			FehlerDialog.zeigeFehler(iae.getLocalizedMessage(), iae);
			// StreitgenossenPanel.FEHLER_GESAMTSCHULDNERSCHAFT,
		}
	}
}