/*
 * LizenzAnzeigenAktion.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.system;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.model.LangBeschriftung;
import eu.gronos.kostenrechner.view.AktionenJMenu;
import eu.gronos.kostenrechner.view.helpanderror.LizenzAkzeptanzDialog;

/**
 * Die {@link BeschriebeneAktion} ruft den Dialog mit der Kurzform der
 * Lizenzbedingungen auf: {@link LizenzAkzeptanzDialog}
 * 
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class LizenzAnzeigenAktion extends BeschriebeneAktion {
	private final AktionenJMenu menu;
	private static final long serialVersionUID = -798271727754981044L;

	/**
	 * Konstruktor
	 * 
	 * @param beschriftung eine {@link LangBeschriftung} mit {@link Action#NAME},
	 *                     {@link Action#MNEMONIC_KEY},
	 *                     {@link Action#SHORT_DESCRIPTION}
	 * @param menu         ein Verweis auf {@link AktionenJMenu}
	 */
	public LizenzAnzeigenAktion(LangBeschriftung beschriftung, AktionenJMenu menu) {
		super(beschriftung);
		this.menu = menu;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		new LizenzAkzeptanzDialog(menu.getKostenrechner(), false).showDialog();
	}
}
// @param name @param shortDescription, int mnemonic
//(, String name, String shortDescription) super(name, shortDescription, mnemonic);, mnemonic)