/**
 * RtfFileChooser.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.view.result;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;
import javax.swing.filechooser.FileNameExtensionFilter;

import eu.gronos.kostenrechner.view.KostenFileChooser;

/**
 * Die Klasse dient dazu, einen {@link JFileChooser} zu erzeugen, der fürs
 * Speichern von RTF-Dateien vorkonfiguriert ist.
 *
 * @author Peter Schuster (setrok)
 * @date 15.08.2018
 *
 */
public final class RtfFileChooser extends KostenFileChooser {

	private static final long serialVersionUID = 7035952805812018973L;
	private static final FileFilter RTF_FILTER = new FileNameExtensionFilter("Rich Text Format (RTF)", "rtf");

	/**
	 * Erzeugt einen JFileChooser, der fürs Speichern von RTF-Dateien
	 * vorkonfiguriert ist.
	 * 
	 */
	public RtfFileChooser() {
		super(RTF_FILTER);
		setSelectedFile(new File("tenor"));// + RtfFileFilter.RTF_EXTENSION
	}

	// new RtfFileFilter();
//		for (FileFilter f : getChoosableFileFilters()) {
//			removeChoosableFileFilter(f);
//		}
//		setAcceptAllFileFilterUsed(false);
}
